version: "3.9"
services:
  traefik:
    image: traefik:v{{ cloudstack.plugins[plugin].version }}
    container_name: {{ plugin }}
    networks:
      - traefik
    command:
      - "--accesslog"
      - "--entrypoints.web.address=:80"
      - "--entrypoints.web.http.middlewares=redirect-to-https@docker"
      - "--entrypoints.websecure.address=:443"
      - "--entrypoints.websecure.http.tls=true"
      - "--entrypoints.websecure.http.tls.certresolver=letsencrypt"
      - "--certificatesresolvers.letsencrypt.acme.email={{ cloudstack.plugins[plugin].config.letsencrypt.email | default(cloudstack.plugins.letsencrypt.config.mail, true) }}"
      - "--certificatesresolvers.letsencrypt.acme.storage=acme.json"
      - "--certificatesresolvers.letsencrypt.acme.httpchallenge.entrypoint=web"
      - "--providers.docker=true"
      - "--providers.docker.exposedbydefault=false"
      - "--providers.docker.network=traefik"
      - "--providers.docker.watch=true"
      - "--serverstransport.insecureskipverify=true"
    restart: always
    labels:
      - 'traefik.enable=false'
      - 'traefik.docker.network=traefik'
      - 'traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https'
    ports:
      - "80:80"  
      - "443:443"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock:ro"
      - traefik-data:/traefik"

volumes:
  traefik-data:

networks:
  traefik:
    name: traefik
